
Redmine - Feature #3154

Remove default fields on new issue form

2009-04-10 16:40 - Yanoksy Durañona Yero

Status: Closed Start date: 2009-04-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It will be great that Redmine allows end-users to remove some default fields. This feature enables that end-users can customize

Redmine according to their particular needs and by the way it maximizes the flexibility of the product.

Good bye and congratulations. You are doing a nice job.

Related issues:

Is duplicate of Redmine - Feature #1091: Disabling default ticket fields per ... Closed 2008-04-23

History

#1 - 2009-04-17 02:20 - Ryan H

I completely agree.  This is huge.  We're looking for a light-weight scalable issue tracker.  We love the idea, but we need to get a base started without

it.  There's still a lot of cowboy land out here where people are against having hard due dates, and keeping the %complete up-to-date.

We would also like the flexibility to change the start date to "date requested/reported."

Also, to turn off the calendar and gantt features.

Thanks

#2 - 2009-05-07 16:45 - Robert Pollak

I'd also have "Due date", "Estimated time" and "% Done" removed for issue reporters - also when showing issues.

#3 - 2009-05-07 16:54 - Jason Hickey

I entered a forum query on this the other day.  We would really like to use this for interaction with our clients but we DO NOT want them to be able to

assign due dates or time estimates.  We simply want them to be able to submit an issue.

#4 - 2009-11-02 16:57 - D W

+1 on this.  If you use Redmine as a client support ticket request system, then it makes no sense to allow the Reporter (Client) role to even see some

of these fields like Due Date, estimate, etc.  It just confuses them and makes them not love the Redmine system as much as they should.

For now I modified the views/issues/_form.rhtml to hide these fields and also the Assign To field if the user does not have the rights to Assign

Watchers.  This security option was a rough way to identify all basic client reporter users (versus Client Project Manager role who we decided can set

these fields) and that code happened to be easily found and reused in that file.

#5 - 2009-11-11 15:06 - Giulio Turetta

+1 needed ty

i use a custom plugin to override views/issues/_form.rhtml like D W

#6 - 2009-11-26 08:49 - Cyrus Lentin

Giulio Turetta wrote:

+1 needed ty

i use a custom plugin to override views/issues/_form.rhtml like D W

 +1. Very important to us. Can you share the custom plugin with all.

#7 - 2009-11-26 08:51 - Cyrus Lentin

Feature #1296, Feature #3154 and forum topic http://www.redmine.org/boards/2/topics/3344
https://www.redmine.org/issues/1296
https://www.redmine.org/issues/3154
http://www.redmine.org/boards/2/topics/3344


all talk of the same requirement. Somethings needs to be done.

#8 - 2009-11-27 02:16 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Cyrus Lentin wrote:

Feature #1296, Feature #3154 and forum topic http://www.redmine.org/boards/2/topics/3344

all talk of the same requirement. Somethings needs to be done.

 Thanks for this research. I'll close this issue as a duplicate of the older #1091 which can then also be used as a central place to comment on the

feature.
